Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 469616 - Repoman QA check for presence of ree18 in USE_RUBY
Summary: Repoman QA check for presence of ree18 in USE_RUBY
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Repoman (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS, PATCH
Depends on:
Blocks: 472632
  Show dependency tree
 
Reported: 2013-05-12 20:04 UTC by Hans de Graaff
Modified: 2013-08-07 21:03 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
0001-Add-repoman-check-for-deprecated-ruby-targets-fixes-.patch (0001-Add-repoman-check-for-deprecated-ruby-targets-fixes-.patch,2.82 KB, patch)
2013-08-04 13:18 UTC, Manuel Rüger (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hans de Graaff gentoo-dev 2013-05-12 20:04:27 UTC
I'd like to request a QA check in repoman for the presence of the obsolete ree18 RUBY_TARGET when used in USE_RUBY in ebuilds. The ree18 RUBY_TARGET has been removed from the tree a few months ago, along with the associated dev-lang/ruby-enterprise package.

Please let me know if you need more information.
Comment 1 Manuel Rüger (RETIRED) gentoo-dev 2013-08-04 13:18:36 UTC
Created attachment 355110 [details, diff]
0001-Add-repoman-check-for-deprecated-ruby-targets-fixes-.patch

Patch against master. 
Warns now about ree18 and rbx (rubinius).
Comment 2 Zac Medico gentoo-dev 2013-08-04 20:52:15 UTC
(In reply to Manuel Rüger from comment #1)
> Created attachment 355110 [details, diff] [details, diff]
> 0001-Add-repoman-check-for-deprecated-ruby-targets-fixes-.patch
> 
> Patch against master. 
> Warns now about ree18 and rbx (rubinius).

Thanks, this is in git:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=ca3a34f30fe5e8600fc8965343356e7b79a541d8
Comment 3 Zac Medico gentoo-dev 2013-08-04 22:41:34 UTC
This is fixed in 2.1.13.5 and 2.2.0_alpha193.
Comment 4 Hans de Graaff gentoo-dev 2013-08-05 17:27:08 UTC
Why did rbx get included in this list? It is not deprecated and still present in the tree so it should not be removed from current ebuilds.
Comment 5 Manuel Rüger (RETIRED) gentoo-dev 2013-08-05 17:31:38 UTC
I misunderstood this and thought rbx was deprecated, too. 
Please drop "ruby_targets_rbx" from the ruby_deprecated set.
Comment 6 Zac Medico gentoo-dev 2013-08-05 17:58:11 UTC
(In reply to Manuel Rüger from comment #5)
> I misunderstood this and thought rbx was deprecated, too. 
> Please drop "ruby_targets_rbx" from the ruby_deprecated set.

Okay, it's fixed in git:


http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=7d5775778432458bde6298badf182b4db90487fa
Comment 7 Zac Medico gentoo-dev 2013-08-07 21:03:33 UTC
This is fixed in 2.1.13.6 and 2.2.0_alpha195.